This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

Author scoder
Recipients scoder
Date 2010-03-13.07:32:35
SpamBayes Score 4.38074e-06
Marked as misclassified No
Message-id <1268465558.4.0.902303954365.issue8130@psf.upfronthosting.co.za>
In-reply-to
Content
Python 3.2a0 (py3k:78205M, Feb 16 2010, 17:32:08)
[GCC 4.4.1] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> e = None
[50279 refs]
>>> e
[50279 refs]
>>> try: raise ValueError
... except ValueError as e: pass
...
[50277 refs]
>>> e
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
NameError: name 'e' is not defined
[50277 refs]


Same for 3.1.1. Note how the refcount is going down after the try-except.
History
Date User Action Args
2010-03-13 07:32:38scodersetrecipients: + scoder
2010-03-13 07:32:38scodersetmessageid: <1268465558.4.0.902303954365.issue8130@psf.upfronthosting.co.za>
2010-03-13 07:32:36scoderlinkissue8130 messages
2010-03-13 07:32:36scodercreate